<?php $__env->startPush('headScripts'); ?>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.9.0/css/bootstrap-datepicker.min.css" integrity="sha512-mSYUmp1HYZDFaVKK//63EcZq4iFWFjxSL+Z3T/aCt4IO9Cejm03q3NKKYN6pFQzY0SBOr8h+eCIAZHPXcpZaNw==" crossorigin="anonymous" referrerpolicy="no-referrer" />
<?php $__env->stopPush(); ?>
<?php $__env->startSection('content'); ?>
    <div class="container-xxl flex-grow-1 container-p-y">
        <h4 class="fw-bold py-3 mb-4"><span class="text-muted fw-light"><?php echo e(__('Departments & UserKPIS')); ?> /</span> <a href="<?php echo e(route('users_kpis.index')); ?>" class="text-muted fw-light"><?php echo e(__('UserKPIS')); ?> /</a> <?php echo e((isset($users_kpi))?__('Edit :type',['type'=>$users_kpi->name]):__('Create')); ?></h4>
        <div class="row">
            <div class="col-md-12">
                <form method="POST" action="<?php echo e(isset($users_kpi)?route('users_kpis.update',['users_kpi'=>$users_kpi]):route('users_kpis.store')); ?>" enctype="multipart/form-data">
                    <?php if(isset($users_kpi)): ?>
                        <?php echo method_field('PUT'); ?>
                    <?php endif; ?>
                    <?php echo csrf_field(); ?>
                    <div class="card mb-4">
                        <h5 class="card-header"><?php echo e((isset($users_kpi))?__('Edit :type',['type'=>$users_kpi->name]):__('Create')); ?></h5>
                        <div class="card-body">
                            <div class="row">
                                <div class="form-group col-lg-12 mb-3">
                                    <label class="form-label"><?php echo e(__('Year & Month')); ?></label>
                                    <input <?php if(isset($users_kpi)): ?> disabled="disabled" <?php endif; ?> type="text" class="form-control <?php $__errorArgs = ['month'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?> <?php $__errorArgs = ['year'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" id="year_month" name="year_month" value="<?php echo e(isset($users_kpi)?$users_kpi->month.'-'.$users_kpi->year:old('year_month')); ?>"/>
                                    <?php $__errorArgs = ['year'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <span class="invalid-feedback" role="alert">
                                            <strong><?php echo e($message); ?></strong>
                                        </span>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                    <?php $__errorArgs = ['month'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <span class="invalid-feedback" role="alert">
                                            <strong><?php echo e($message); ?></strong>
                                        </span>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                                <div class="form-group col-lg-12 mb-3 <?php if(!old('user_id')&&!isset($users_kpi)): ?><?php echo e('d-none'); ?><?php endif; ?>">
                                    <label class="form-label"><?php echo e(__('Responsible Employee')); ?></label>
                                    <select <?php if(isset($users_kpi)): ?> disabled="disabled" <?php endif; ?> class="select2 <?php $__errorArgs = ['user_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" data-placeholder="<?php echo e(__('Select :type',['type'=>__('Responsible Employee')])); ?>" id="user_id" name="user_id">
                                        <option value=""><?php echo e(__('Select :type',['type'=>__('Responsible Employee')])); ?></option>
                                        <?php $__currentLoopData = \App\Models\User::whereIn('job_title_id',\App\Models\KPI::where('status','published')->has('KPISQuestions')->pluck('job_title_id')->toArray())->pluck('name','id')->toArray(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $id=>$name): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option <?php if((isset($users_kpi)&&$users_kpi->user_id==$id)||old('user_id')==$id): ?> selected="selected" <?php endif; ?> value="<?php echo e($id); ?>"><?php echo e($name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    <?php $__errorArgs = ['user_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <span class="invalid-feedback" role="alert">
                                            <strong><?php echo e($message); ?></strong>
                                        </span>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>

                            </div>
                        </div>



                    </div>
                        <div class="<?php if(!old('questionsIDS')&&!isset($users_kpi)): ?><?php echo e('d-none'); ?><?php endif; ?>" id="questionsData">
                            <?php if(isset($users_kpi)): ?>
                                <?php echo $__env->make('dashboard.users_kpis.show_questions',['userKPIQuestions'=>$users_kpi->Questions], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                            <?php elseif(old('questionsIDS')): ?>
                                <?php echo $__env->make('dashboard.users_kpis.show_questions',['questions'=>\App\Models\KPISQuestion::whereIn('id',old('questionsIDS'))->get()], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                            <?php endif; ?>
                        </div>
                    <div class="card mb-4">
                        <div class="card-body">
                            <div class="text-center">
                                <button type="submit" id="submitData" disabled class="btn btn-danger px-5"><?php echo e(__('Save')); ?></button>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startPush('footerScripts'); ?>
    <link rel="stylesheet" href="<?php echo e(asset('assets/plugins/bootstrap-datepicker/css/bootstrap-datepicker.css')); ?>"  />
    <script src="<?php echo e(asset('assets/plugins/bootstrap-datepicker/js/bootstrap-datepicker.js')); ?>" ></script>
    <script type="text/javascript">
        function checkAndEnableButton(){
            let isTrue=true;
            <?php if(!isset($users_kpi)): ?>
            if(!$("#year_month").val()){
                isTrue=false;
            }
            if(!$("#user_id").val()){
                isTrue=false;
            }
            <?php endif; ?>
            $(".question-item").each(function(){
                let parentElement=$(this);
                let targetElement=parentElement.find('.target');
                let actualElement=parentElement.find('.actual');
                let scoreElement=parentElement.find('.score');
                let target=parseInt(targetElement.val());
                let actual=parseInt(actualElement.val());
                console.log(target,actual)
                if(isNaN(actual)||isNaN(target)||actual>target){
                    isTrue=false;
                    return false;
                }
            });
            console.log(isTrue)
            if(isTrue){
                $("#submitData").removeAttr('disabled');
            }else{
                $("#submitData").attr('disabled','disabled');
            }
        }
        checkAndEnableButton();
        function calculateProgress(parentElement){
            console.log(parentElement);
            let targetElement=parentElement.find('.target');
            let actualElement=parentElement.find('.actual');
            let scoreElement=parentElement.find('.score');
            let target=parseInt(targetElement.val());
            let actual=parseInt(actualElement.val());
            if(actual>target){
                scoreElement.addClass('bg-danger')
            }else{
                scoreElement.removeClass('bg-danger')
            }
            let percentage=(actual/target)*100
            percentage=isNaN(percentage)?0:percentage;
            scoreElement.css({width:percentage+'%'}).attr('aria-valuenow',percentage).text(percentage+'%')
        }
        <?php if(old('questionsIDS')): ?>
        $(".question-item").each(function(){
            calculateProgress($(this))
        })
        checkAndEnableButton()
        <?php endif; ?>
        $("#year_month").datepicker( {
            format: "mm-yyyy",
            viewMode: "months",
            minViewMode: "months"
        });
        $(document).on('change','#year_month',function(){
            console.log('change')
            $(this).parent().next().removeClass('d-none')
            getQuestions();
            checkAndEnableButton();
        });
        function getQuestions(){
            let userSelectElement=$("#user_id")
            let yearMonthElement=$("#year_month")
            let user_id = userSelectElement.val();
            let year_month = yearMonthElement.val();
            if(user_id&&year_month){
                userSelectElement.attr('disabled','disabled').parent().find('.select2.select2-container').addClass('loading');
                yearMonthElement.attr('disabled','disabled').addClass('loading-input');
                $.ajax({
                    type: "GET",
                    url: "<?php echo e(request()->fullUrl()); ?>",
                    data: {user_id, year_month},
                    success: function (msg) {
                        userSelectElement.removeAttr('disabled').parent().find('.select2.select2-container').removeClass('loading');
                        yearMonthElement.removeAttr('disabled').removeClass('loading-input');
                        if (msg.success) {
                            $("#questionsData").removeClass('d-none').html(msg.html);
                        } else {
                            $.notify(msg.message ? msg.message : 'Ops Please try again ', {
                                blur: 0.2,
                                delay: 0,
                                close: true,
                                color: "#fff",
                                background: "#D44950",
                                animationType: "drop"
                            });
                            $("#questionsData").addClass('d-none').html('')
                        }

                    }
                });
            }

        }
        $(document).on('change','#user_id',function() {
            getQuestions();
        });
        $(document).on('change keyup','.target,.actual',function(){
            let parentElement=$(this).parent().parent();
            calculateProgress(parentElement);
            checkAndEnableButton()
        });
    </script>
    <style>
        #ui-datepicker-div{
            z-index: 99;
        }
        .ui-datepicker-calendar {
            display: none;
        }
    </style>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('dashboard.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Applications/MAMP/htdocs/KPISProject/resources/views/dashboard/users_kpis/create_edit.blade.php ENDPATH**/ ?>